using System;

namespace Takmicenje_1___4
{
    class Program
    {
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            string s = Console.ReadLine();
            int minIndeks = 0;
            int minVrednost = int.MaxValue;
            string resenje = "";
            int brojac = 0;
            int[] brojSvakog = new int[s.Length];
            for(int i = 0; i < t.Length; i++)
            {
                if(t[i] == s[0])
                {
                    brojSvakog[0]++;
                    for(int j = i + 1; j < t.Length; j++)
                    {
                        if(brojac < s.Length - 1 && t[j] == s[brojac + 1])
                        {
                            brojSvakog[brojac + 1]++;
                            brojac++;
                        }
                        else if(t[j] == s[brojac])
                        {
                            brojSvakog[brojac]++;
                        }
                    }
                    brojac = 0;
                }
            }
            for(int i = 0; i < s.Length; i++)
            {
                if (brojSvakog[i] < minVrednost)
                {
                    minVrednost = brojSvakog[i];
                    minIndeks = i;
                }
            }
            brojac = 0;
            for(int i = 0; i < t.Length; i++)
            {
                if (t[i] != s[minIndeks]) resenje += t[i];
                else
                {
                    resenje += "*";
                    brojac++;
                }   
            }
            Console.WriteLine(brojac);
            Console.WriteLine(resenje);
        }
    }
}